# Registration Settings

Registration Settings

## Creates a new registration setting record that does not already exist.

 - [POST /registrationSettings/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-settings/createregistrationsetting.md): This method will auto-generate an ID and create a new registration setting. If an ID is specified for the registration setting, an error will be thrown.

## Execute Batch Operations

 - [POST /registrationSettings/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-settings/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations

## Returns a registration setting from the system by its ID.

 - [GET /registrationSettings/{tenantId}/public/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-settings/getregistrationsettingpublic.md): This method will look up a registration setting by the specified ID and return it back.

## Returns a registration setting from the system by its ID.

 - [DELETE /registrationSettings/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-settings/deleteregistrationsetting.md): This method will delete a registration setting with the specified ID.

## Returns a registration setting from the system by its ID.

 - [GET /registrationSettings/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-settings/getregistrationsetting.md): This method will look up a registration setting by the specified ID and return it back.

## Partially updates a registration setting with the specified ID.

 - [PATCH /registrationSettings/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-settings/patchregistrationsetting.md): This method will patch an existing registration setting with the specified ID, using the HTTP PATCH specification.

## Updates a registration setting with the specified ID.

 - [PUT /registrationSettings/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-settings/updateregistrationsetting.md): This method will update an existing registration setting with the specified ID.

